*,body{
    margin: 0;
    padding: 0;
    direction: rtl;
    box-sizing: border-box;
    font-family: iransans;
}
a{
  text-decoration: none;
}
ul,li{
  list-style: none;
}
@font-face{
  font-family: "iransans";
  src: url("../fonts/IranSansWeb.woff");
}
// mixin
@mixin margin-padding($m-direction, $m-amount, $p-direction, $p-amount) {
  @if $m-direction == all {
    margin: $m-amount;
  } @else {
    margin-#{$m-direction}: $m-amount;
  }
  @if $p-direction == all {
    padding: $p-amount;
  } @else {
    padding-#{$p-direction}: $p-amount;
  }
}
/*navbar style*/
.navbar{
    display: flex;
    align-items: center;
    border-bottom: 1px solid #efefef;
    @include  margin-padding(all, 10,null,null);
    .nav-brand{
        //@include margin(top-bottom,15px);
        @include margin-padding(all,0 15px,null,null);
        //@include padding(top,10px);
        @include margin-padding(null,null,top,10px);
      }
      .search-wrapper{
        width: 63%;
        .input-wrapper{
            position:relative
            }
        .input-holder{
        .search-input{
            width:100%;
            height: 42px;
            width: 100%;
            border: none;
            background: #efefef;
            border-radius: 8px;
            @include margin-padding(null,null,all,15px);
          }
          &:after{
            font-family:"";
            content: "";
            position: absolute;
            top: 3px;
            left: 7px;
        }
        }
      }
      .top-nav{
        ul{
            @include margin-padding(null,null,all,32px 0);
            display: inline-flex;
            li{
             display:inline-block;
             width: 90px;
             text-align: center;
             @include margin-padding(null,null,all,5px 10px);
             position: relative;
             a{
                 color: #8e8e8e;
             }
             &:hover{
                 background-color: #efefef;
                 border-radius: 20px;
             }
             &:nth-child(4):hover{
                 background-color: transparent;
             }
             &:first-child a{
                 color: #000000;
             }
            }
            li.user-profile{
                a{
                     @include margin-padding(null,null,left,10px);
                }
                span{
                    position: absolute;
                    left: 8px;
                    top: 5px; 
                    img{
                        width: 26px;
                        border-radius: 100%;   
                    }  
                }
            }
            li.comments i,li.notif i{
                font-size: 28px;
                vertical-align: -8px;
            }
            li.notif{ 
                    .badge{
                    background-color: red;
                    position: absolute;
                    border-radius: 100%;
                    font-size: 12px;
                    width: 20px;
                    color: #fff;
                    top: -3px;
                    right: 23px;
                    }
            }
        }
    }
   }
/*body style*/
.wrapper{
  display: flex;
  flex-wrap: wrap;
  // padding: 0 4px;
  // margin-top: 30px;
  @include margin-padding(null,null,all,0 4px);
  @include margin-padding(top,30px,null,null);
  .row-item{
    flex: 14.2%;
    max-width: 14.2%;
  //  padding: 0 10px;
    @include margin-padding(null,null,all,0 10px);
    cursor: zoom-in;
    .overlay{
      position: relative;
      // margin-bottom: 10px;
      @include margin-padding(bottom,10px,null,null);
      .overlay-item{
        position: absolute;
        width: 100%;
        height: 100%;
          top: 0;
          left: 0;
          background: rgba(0, 0, 0,.2);
         display: none; 
          border-radius: 18px;
          .icon{
            display: flex;
            justify-content: center;
            align-items: flex-end;
            height: 100%;
            // padding-bottom: 15px;
            @include margin-padding(null,null,bottom,15px);
            
            i{
              background-color: #efefef;
                border-radius: 100%;
                padding: 6px;
                font-size: 18px;
                color: #000;
                 //margin-left: 4px;
                @include margin-padding(left,4px,null,null);
               
            }
            span{
              background-color: #efefef;
              // padding: 1px 10px;
              @include margin-padding(null,null,all,1px 10px);
              font-size: 14px;
              border-radius: 19px;
              i{
                transform: rotate(45deg);
                background-color: transparent;
                vertical-align: -5px;
              }
            }
          
          }
          
        }
        &:hover .overlay-item{
          display: block;
        } 
    }
    img {
      display: flex;
          border-radius: 18px;
    }
  }
}
@media (max-width: 1280px) {
  .row-item {
    flex: 20%!important;
    max-width: 20%!important;
  }
}
@media (max-width: 967px ) {
  .row-item {
    flex: 33%!important;
    max-width: 33%!important;
  }
}
@media (max-width: 800px) {
  .row-item {
    flex: 50%!important;
    max-width: 50%!important;
  }
}

@media (max-width: 600px) {
  .row-item{
    flex: 100%!important;
    max-width: 100%!important;
  }
}
   